ONVIF::Media::Types::RecordingInformation(3)

NAME
ONVIF::Media::Types::RecordingInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecordingToken

•   Source

•   EarliestRecording

•   LatestRecording

•   Content

•   Track

•   RecordingStatus

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::RecordingInformation
   RecordingToken => $some_value, # RecordingReference
   Source =>  { # ONVIF::Media::Types::RecordingSourceInformation
     SourceId =>  $some_value, # anyURI
     Name => $some_value, # Name
     Location => $some_value, # Description
     Description => $some_value, # Description
     Address =>  $some_value, # anyURI
   },
   EarliestRecording =>  $some_value, # dateTime
   LatestRecording =>  $some_value, # dateTime
   Content => $some_value, # Description
   Track =>  { # ONVIF::Media::Types::TrackInformation
     TrackToken => $some_value, # TrackReference
     TrackType => $some_value, # TrackType
     Description => $some_value, # Description
     DataFrom =>  $some_value, # dateTime
     DataTo =>  $some_value, # dateTime
   },
   RecordingStatus => $some_value, # RecordingStatus
 },

AUTHOR
Generated by SOAP::WSDL